Subject: Re: linux-next: duplicate patch in the vhost tree

From: "Michael S. Tsirkin" <[email-masked]>
Date: Wed, 27 Aug 2025 18:04:20 -0400

On Wed, Aug 27, 2025 at 10:26:16AM -0700, Namhyung Kim wrote:
> Hello,
> 
> On Wed, Aug 27, 2025 at 06:23:52AM -0400, Michael S. Tsirkin wrote:
> > On Wed, Aug 27, 2025 at 12:46:54PM +1000, Stephen Rothwell wrote:
> > > Hi all,
> > > 
> > > The following commit is also in the perf-current tree as a different
> > > commit (but the same patch):
> > > 
> > >   c67e16d30dca ("tools headers: Sync uapi/linux/vhost.h with the kernel source"
> > > )
> > > 
> > > This is commit
> > > 
> > >   f79a62f4b3c7 ("tools headers: Sync uapi/linux/vhost.h with the kernel source")
> > > 
> > > in the perf-current tree.
> > 
> > 
> > Hmm.  I could drop mine I guess, but it only really makes sense after:
> > 
> >     vhost: Fix ioctl # for VHOST_[GS]ET_FORK_FROM_OWNER
> >     
> > 
> > which is not in the perf tree.
> 
> Yep, so I was waiting for you to send PR with the fix.
> It seems you already removed the commit in your tree.
> I'll send a PR for perf tools with this change.
> 
> Thanks,
> Namhyung

It's in my tree but I did not want to send it before we agreed what to
do. I can drop it, sure.

-- 
MST